automake-patches
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[FYI] {master} contrib: simple improvements to check-html


From: Stefano Lattarini
Subject: [FYI] {master} contrib: simple improvements to check-html
Date: Mon, 2 Jul 2012 21:01:54 +0200

Related to automake bug#11287.

* contrib/t/check-html.am (.log.html): Do not look for $RST2HTML in
the environment, looking for $(RST2HTML) should be enough (also, the
pre-existing code was broken, because it single-quoted $RST2HTML).
Fix the loop-and-search implementation to be more similar to the
one in 'contrib/t/parallel-tests-html.sh'.  Prefer 'mv -f' over bare
'mv'.  Do not break the recipe in

Signed-off-by: Stefano Lattarini <address@hidden>
---
 contrib/check-html.am |   20 +++++++++-----------
 1 file changed, 9 insertions(+), 11 deletions(-)

diff --git a/contrib/check-html.am b/contrib/check-html.am
index 4495ac0..3bc2d94 100644
--- a/contrib/check-html.am
+++ b/contrib/check-html.am
@@ -29,18 +29,16 @@ mostlyclean-check-html:
        rm -f $(TEST_SUITE_HTML)
 
 .log.html:
-       @list='$(RST2HTML) $$RST2HTML rst2html rst2html.py';            \
-       for r2h in $$list; do                                           \
-         if ($$r2h --version) >/dev/null 2>&1; then                    \
-           R2H=$$r2h;                                                  \
-         fi;                                                           \
-       done;                                                           \
-       if test -z "$$R2H"; then                                        \
-         echo >&2 "cannot find rst2html, cannot create $@";            \
+       @list='$(RST2HTML) rst2html rst2html.py';                       \
+       while :; do                                                     \
+         for r2h in $$list; do                                         \
+## Trailing ':' is for shells with busted 'set -e'.
+           ($$r2h --version) >/dev/null 2>&1 && break 2; :             \
+         done;                                                         \
+         echo "cannot find rst2html, cannot create $@" >&2;            \
          exit 2;                                                       \
-       fi;                                                             \
-       $$R2H $< >address@hidden
-       @mv address@hidden $@
+       done;                                                           \
+       $$r2h $< >address@hidden && mv -f address@hidden $@
 
 # Be sure to run check first, and then to convert the result.
 # Beware of concurrent executions.  Run "check" not "check-TESTS", as
-- 
1.7.9.5




reply via email to

[Prev in Thread] Current Thread [Next in Thread]